import React, { Component } from 'react'
import './index.scss'

class Banner extends Component {
  state = {
    navs: [
      {
        text: '积福气'
      },
      {
        text: '幸运大抽奖'
      },
      {
        text: '预付定金'
      },
      {
        text: '精品特惠'
      },
      {
        text: 'AI测试'
      },
      {
        text: '大咖直播'
      },
    ]
  }
  render() {
    const {navs} = this.state
    return (
      <div id={'main-banner'}>
        <div className="banner"></div>
        <nav id={'main-nav'}>
          <ul>
            {
              navs.map((item, index) => {
                return (
                  <li key={index}>{item.text}</li>
                )
              })
            }
          </ul>
        </nav>
      </div>
    )
  }
}

export default Banner
